summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/tilt/Manifest1
-rw-r--r--dev-ruby/tilt/tilt-2.0.11.ebuild42
-rw-r--r--dev-ruby/tzinfo/Manifest1
-rw-r--r--dev-ruby/tzinfo/tzinfo-1.2.10.ebuild34
4 files changed, 78 insertions, 0 deletions
diff --git a/dev-ruby/tilt/Manifest b/dev-ruby/tilt/Manifest
index a9095e87c6a9..b6053ea67cab 100644
--- a/dev-ruby/tilt/Manifest
+++ b/dev-ruby/tilt/Manifest
@@ -1 +1,2 @@
DIST tilt-2.0.10.tar.gz 51446 BLAKE2B de5c12dcf22994f182ae163a82c3060f1d0d8b4bc2a4495f28c9befc954b4949b9d2ae6aed42e3a9c35fb68825844881d9f15b2b68d949236e5396083ff199a3 SHA512 4a36c55347e307ea0c842aad3da72cebe98bcf8a0421040cfce7a43540d1746e736ce92b7ce7492a5cfc184372842c3ac7a006f3650b4c9420d5825ec005b4ef
+DIST tilt-2.0.11.tar.gz 53041 BLAKE2B 2509cc3efe5e6302c8943c00108eeda6ee4b23a18952ad23049e11ea28b397b80a21d34c4d241119f45cedf2a978a2673d857a6cc32d7e26a2016caa510458f9 SHA512 e28e31ab92aa42eada34e0f6c05dab6a54945d07b649588356b1635ba8a36700f6e537e8702613883693501442d21690d8b3690b06f7b9f331192134511b78b7
diff --git a/dev-ruby/tilt/tilt-2.0.11.ebuild b/dev-ruby/tilt/tilt-2.0.11.ebuild
new file mode 100644
index 000000000000..e9c9bcc4af48
--- /dev/null
+++ b/dev-ruby/tilt/tilt-2.0.11.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/TEMPLATES.md"
+
+RUBY_FAKEGEM_GEMSPEC="tilt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Thin interface over template engines to make their usage as generic as possible"
+HOMEPAGE="https://github.com/rtomayko/tilt"
+SRC_URI="https://github.com/rtomayko/tilt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+# Block on some of the potential test dependencies. These dependencies
+# are optional for the test suite, and we don't want to depend on all of
+# them to faciliate keywording and stabling.
+ruby_add_bdepend "test? (
+ dev-ruby/erubis
+ dev-ruby/nokogiri
+)"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -e '/bundler/I s:^:#:' -i Rakefile test/test_helper.rb || die
+
+ # Avoid tests with minor syntax differences since this happens all
+ # the time when details in the dependencies change.
+ rm -f test/tilt_sasstemplate_test.rb || die
+
+ # Skip tests for unpackaged asciidoctor converter
+ sed -i -e '/docbook 4.5/askip' test/tilt_asciidoctor_test.rb || die
+}
diff --git a/dev-ruby/tzinfo/Manifest b/dev-ruby/tzinfo/Manifest
index d926e6ccff34..82d64d316977 100644
--- a/dev-ruby/tzinfo/Manifest
+++ b/dev-ruby/tzinfo/Manifest
@@ -1,3 +1,4 @@
+DIST tzinfo-1.2.10.gem 167936 BLAKE2B 558721a357bf6875b02850dca2f0b6eabcafdacb48b900df3f4dbd72b950832f847bb89264c107b7d7c11a8179ef13125d8b9d2b65855f80ac4c37ca7356231b SHA512 124d43d92bdf9b234523ff79bb574d4be098cc721768eb1fd8ac85bff11ccfdf21effb1e4300e80c50b0202beed67a9a0d1146a23e33a4bced6e985fc6be78a2
DIST tzinfo-1.2.9.gem 166912 BLAKE2B 6d54a5118fbdb3556d0cdc9079462cf26afa9deddd1dc21ef670240e2aa47a66d0b4fc9c9c7ed74bd14bde96dc95f6b716aef5d32ca521221618a76c8c05cda1 SHA512 ddf28ad213f681a4e551cbd803873b279acef03fae894a3e6475030d4da5a59732b31af5d5944e8c62d15b7ec922816fede24f180fb20c55c1bd3d379c879cfe
DIST tzinfo-2.0.4.tar.gz 224673 BLAKE2B 0c7ef231767b6fc00cf95b3e1c2037894b14dfe832eaedb3f4b7c60a884ab6f7121243af5b62acf47d02da28395e7390f968421a3a3a2d731deb079e9fc51bfa SHA512 5b2ec73f737009ba21dac7dbb9504235fdef14dc45a6450e1218ba9e53dd29735ab4fa6c2854271916cc5c0244e09ae7ab19467408b72b9b82ca238e14d3fa4f
DIST tzinfo-2.0.5.tar.gz 226225 BLAKE2B 44e6d65dadc4828e4b8803c0badf381e18afe7412e090c4d91147b144f300a8c0e3189bc8e8325625678a57ea6a1179a1ed277f5fb54230ce77c46ba6b0100c7 SHA512 a3c59b1f390b186356b9219b0fb18bb762d2123936553738e1068ba46bf0206c5a0394b1d46b5c7b891aa55b8afa839858837511f53e3ef0eb0e85fe3f23b57a
diff --git a/dev-ruby/tzinfo/tzinfo-1.2.10.ebuild b/dev-ruby/tzinfo/tzinfo-1.2.10.ebuild
new file mode 100644
index 000000000000..ca8f2acc20ff
--- /dev/null
+++ b/dev-ruby/tzinfo/tzinfo-1.2.10.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_TEST="test_zoneinfo"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Daylight-savings aware timezone library"
+HOMEPAGE="https://tzinfo.github.io/"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="sys-libs/timezone-data"
+DEPEND="test? ( sys-libs/timezone-data )"
+
+ruby_add_rdepend ">=dev-ruby/thread_safe-0.1:0"
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Avoid taint tests that throw SecurityErrors on newer ruby versions.
+ sed -i -e '/_info_tainted/askip"SecurityError"' test/tc_ruby_data_source.rb || die
+}